CARGO(1)

NAME
cargo - The Rust package manager

SYNOPSIS
cargo <COMMAND> [<ARGS>...] cargo [OPTIONS]

DESCRIPTION
This program is a package manager for the Rust language, available at <http://rust-lang.org>.

OPTIONS

-h, --help
    Display a help message

-V, --version
    Print version information and exit

--list
    List all available cargo commands

-v, --verbose
    Use verbose output

--color
    Configure coloring of output

COMMANDS
To get extended information about commands, run 'cargo help <command>'

cargo build
    Compile the current project

cargo clean
    Remove the target directory with build output

cargo doc
    Build this project's and its dependencies' documentation

cargo new
    Create a new cargo project

cargo run
    Build and execute src/main.rs

cargo test
    Run the tests for the package

cargo bench
    Run the benchmarks for the package

cargo update
    Update dependencies in Cargo.lock

cargo package
    Generate a source tarball for the current package

cargo version
    Print cargo's version and exit

FILES

~/.cargo
    Directory in which Cargo stores repository data. Cargo can be instructed to use a .cargo subdirectory in a different location by setting the CARGO_HOME environment variable.

EXAMPLES
Build a local package and all of its dependencies
    $ cargo build Build a package with optimizations
    $ cargo build --release Run tests for a cross-compiled target
    $ cargo test --target i686-unknown-linux-gnu Learn about a command's options and usage
    $ cargo help clean

SEE ALSO
rustc(1), rustdoc(1)

BUGS
See <https://github.com/rust-lang/cargo/issues> for issues.

COPYRIGHT
This work is dual-licensed under Apache 2.0 and MIT terms. See COPYRIGHT file in the cargo source distribution.